LookaheadTokenFilter.Position (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.LookaheadTokenFilter.Position class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class LookaheadTokenFilter.Position

    java.lang.Object
      org.apache.lucene.analysis.LookaheadTokenFilter.Position

All Implemented Interfaces:
  RollingBuffer.Resettable

Enclosing class:
  LookaheadTokenFilter<T extends LookaheadTokenFilter.Position>

    protected static class LookaheadTokenFilter.Position

extends Object
implements RollingBuffer.Resettable

Holds all state for a single position; subclass this to record other state at each position.

Field Summary
`int` | `endOffset`
`List<org.apache.lucene.util.AttributeSource.State>` | `inputTokens`
`int` | `nextRead`
`int` | `startOffset`

Constructor Summary
`protected` | `LookaheadTokenFilter.Position()`

Method Summary
`void` | `add(org.apache.lucene.util.AttributeSource.State state)`
`org.apache.lucene.util.AttributeSource.State` | `nextState()`
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputTokens

    public final List<org.apache.lucene.util.AttributeSource.State> inputTokens

### nextRead

    public int nextRead

### startOffset

    public int startOffset

### endOffset

    public int endOffset

Constructor Detail

### LookaheadTokenFilter.Position

    protected LookaheadTokenFilter.Position()

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in interface `RollingBuffer.Resettable`

### add

    public void add(org.apache.lucene.util.AttributeSource.State state)

### nextState

    public org.apache.lucene.util.AttributeSource.State nextState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD